Subject: Re: cfg80211/nl80211/WE (was: Re: d80211 merge)

From: Johannes Berg <[email-masked]>
Date: Thu, 02 Nov 2006 13:03:04 +0100

On Thu, 2006-11-02 at 10:56 +0000, Christoph Hellwig wrote:

> Yes, that is exatly the right way to go forward.  The userspace interface
> is however more than just the WE ioctls.  It's also that for every wireless
> card one single ethX device appears and not multiple devices with other
> names.  This might sound like nitpicking, but without this all kinds of
> scripts break.

cfg80211 doesn't care about that, it only requires you to register one
logical wiphy device. Whether it has more than one netdev or not isn't
significant.

For d80211, however, trying to get rid of the wmasterX interface
requires tighter integration in order to run a qdisc on a non-netdev
wireless physical device. Which gets us back to how this thread
started :)

johannes